title = "Ricerca"
url = "/ricerca/:slug"
meta_title = "Mariano Rubinacci - Pagina di ricerca"
meta_description = "In questa pagina è possibile visualizzare gli articoli risultato di una ricerca effettuata da una qualsiasi pagina differente a quella del catalogo."
is_hidden = 0

[viewBag]
localeMeta_title[en] = "Mariano Rubinacci - Search page"
localeMeta_description[en] = "In this page it is possible to view the articles resulting from a search carried out from any page other than that of the catalog."
localeTitle[en] = "Search"
localeUrl[en] = "/search/:slug"

[AnagraficaView]

[Cart]

[localePicker]
forceUrl = 0

[Pagination]
available_count_per_page = 10
count_per_page = 12
pagination_limit = 4
active_class = "_act"
button_list = "prev,main,next"
first_button_name = "First"
first_button_limit = 3
first-more_button_name = "..."
first-more_button_limit = 1
prev_button_name = "Prev"
prev_button_limit = 1
prev-more_button_name = "..."
prev-more_button_limit = 1
next-more_button_name = "..."
next-more_button_limit = 1
next_button_name = "Next"
next_button_limit = 1
last-more_button_name = "..."
last-more_button_limit = 1
last_button_name = "Last"
last_button_limit = 3

[CategoryHelper]
slug = "{{ :slug }}"
slug_required = 1
smart_url_check = 1
debug = 0
has_wildcard = 1
skip_error = 1

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[cookieNotice]
loadCss = 1

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ this.page.meta_description }}">
	    <title>{{ this.page.meta_title }}</title>
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">
	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">

	    {% partial 'userscripts' %}
    </head>

	<body>
		<!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}

	    {% partial 'menu' %}

	    {# Get array with pagination buttons #}
		{% set iPage = Pagination.getPageFromRequest() %}

		{% set obProductCount = obProductList.count() %}

		{# Apply pagination to product collection and get array with product items #}
		{% set obProductList = obProductList.page(iPage, Pagination.getCountPerPage()) %}

	    <div class="ps-page">
	        <div class="container mg-bt-20">
	            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12 font-color">
	                <h1>{{'Hai cercato'|_}}: "{{this.param.slug}}"</h1>
					<p>{{'Risultati della ricerca'|_}}</p>
	            </div>
	            <hr>
	        </div>

	        <div class="ps-shopping ps-shopping--sidebar">
	            <div class="container">

	                <div class="row">
	                    <div id="prod-list" class="prod-list col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
	                        <div class="ps-shopping__content">

	                        	<div class="row">
                        			<div class="col-4 col-xs-4">
                        				<div class="ps-filter--shopping fl-left">
						                    <p>{{ obProductCount }} {{'Risultati'|_}}</p>
						                </div>
                        			</div>
				                </div>

	                            <div class="row">

	                            	{% for obProduct in obProductList %}
										{% if not(109 in obProduct.category_id or 109 in obProduct.additional_category_id or 110 in obProduct.category_id or 110 in obProduct.additional_category_id) %}
											{% set obOffer = obProduct.offer.first() %}
											{% if obOffer.price == 0 %}
												{% set obOffer = obProduct.offer.last() %}
											{% endif %}
			                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12 ">
			                                    <div class="ps-product">
			                                        <div class="ps-product__thumbnail">
	                									<a class="ps-product__img" href="/{{ activeLocale }}/{{'prodotto'|_|lower}}/{{obProduct.slug}}"><img src="{{ obProduct.preview_image.path }}" alt="" /></a>
	                									<a class="ps-product__img-alt" href="/{{ activeLocale }}/{{'prodotto'|_|lower}}/{{obProduct.slug}}"><img src="{{ obProduct.getObject().back_preview.path }}" alt="" /></a>
			                                        </div>
			                                        <div class="ps-product__content">
			                                            <div class="ps-product__meta">
			                                                <a href="/{{ activeLocale }}/{{'prodotto'|_|lower}}/{{obProduct.slug}}"></a>
			                                            </div>
			                                            <a class="ps-product__title" href="/{{ activeLocale }}/{{'prodotto'|_|lower}}/{{obProduct.slug}}">{{obProduct.name}}</a>
			                                            {% if obOffer.name|lower == 'soldout' %}
			                                            	<p class="ps-product__price"> SOLD OUT </p>
			                                            {% elseif obOffer.old_price_value > 0 %}
		    												<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.old_price }}</del>{{ obOffer.currency }} {{obOffer.price}}</p>
														{% elseif arCouponDiscount > 0 and obProduct.id in arCouponProducts %}
															<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>{{ obOffer.currency }} {{ (obOffer.price-(obOffer.price * arCouponDiscount/100))|priceformat }}</p>
														{% else %}
															<p class="ps-product__price">{{ obOffer.currency }}{{obOffer.price}}</p>
											            {% endif %}
			                                        </div>
			                                    </div>
			                                </div>
		                                {% endif %}
	                                {% endfor %}

	                            </div>
	                        </div>

	                        {% partial 'pagination' %}

	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>

	    {% partial 'footer' %}

	    <!-- Plugins-->
	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>

	    <script>
			/*
			 * Script per la paginazione: inibisce il link del tag a e fa partire l'ajax per non ricaricare tutta la pagina quando si ci sposta su quella succ. o prec.
			 */
			$(document).on('click', `.page-link`, (e) => {
				e.preventDefault();
				e.stopPropagation();
				const button = $(e.currentTarget),
					page = button.attr('data-page');

				if (button.parent('li').hasClass('.active')) {
					return;
				}

				$.request('onSearchPagination', {
					data: {pageCost: page, pagination: 1},
				  	loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
				  	complete: function() {
				  		$('html, body').animate({scrollTop: '0px'}, 300);
				  		console.log('dentro');
				  	},
				});
			});

			function logout(){
				$.request('Logout::onAjax', {
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}

		</script>

	    {% partial 'footerscripts' %}
	    {% scripts %}
    	{% framework extras %}

	</body>

</html>